camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Henryk Konsek (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-7126) BAM component is not working with Spring 4
Date Tue, 28 Jan 2014 06:54:38 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-7126?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13883827#comment-13883827
] 

Henryk Konsek commented on CAMEL-7126:
--------------------------------------

Mea culpa. Fixed in b72f9c0ee2fd3570f490f0dca0f8538f0c607bba.

> BAM component is not working with Spring 4
> ------------------------------------------
>
>                 Key: CAMEL-7126
>                 URL: https://issues.apache.org/jira/browse/CAMEL-7126
>             Project: Camel
>          Issue Type: Sub-task
>          Components: camel-bam
>            Reporter: Henryk Konsek
>            Assignee: Henryk Konsek
>             Fix For: 2.13.0
>
>
> BAM component uses {{JpaTemplate}} class deprecated in Spring 3.1. As {{JpaTemplate}}
has been removed in Spring 4, BAM component can't be compiled anymore.
> To reproduce the error execute the following command:
> {code}
> mvn clean install -Pspring4
> {code}
> We need to migrate BAM component to raw {{EntityManagerFactory}}/{{EntityManager}} API,
as recommend by the Spring team.



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message